#!/bin/sh
# Platform Detector for HomepageSearchEngine v3.32 (Updated on 2001 06 09) (c) 2001, ANET.at
# Freeware. Written by Robert.Allerstorfer@anet.at
# This shell script may be used on Unix to determine the platform
# Just upload it, chmod it to 755 and call its URL with your webbrowser, e.g. http://www.yourdomain.tld/cgi-bin/hse/platform.cgi

VER="3.32"
URL="http://www.homepagesearchengine.com/_download/"
echo "Content-type: text/html"
echo ""
echo "<html><head><title>Platform Detector</title></head><body><pre>"
echo "<a href=\"http://www.anet.at\">ANET.at</a> Platform Detector for HomepageSearchEngine $VER"
echo ""

if [ "`uname -a`" = "" ]; then
	echo "Sorry, your platform could not be detected."
	exit 1
fi

OS=""
echo "Your platform is:"

if [ "`uname -s`" = "SunOS" ] a [ [ "`uname -m`" = "sun4m" ] o [ "`uname -m`" = "sun4u" ] ]; then
# Note that "a" (and not "&&") and "o" (and not "||") is required for SunOS
	OS="Sun Solaris"
	echo "<b>${OS}</b> (SunOS Version `uname -r`)"
	echo "The HomepageSearchEngine package you need is <a href=\"${URL}HSE${VER}_SunOS.tgz\">HSE${VER}_SunOS.tgz</a>"
fi

if [ "`uname -s`" = "Linux" ]; then
	BIN=`which perl`
	if [ "$BIN" = "" ]; then
		BIN="/bin/ls"
	fi
	LIB=`ldd $BIN`
	if [ "`uname -m`" = "i586" ] || [ "`uname -m`" = "i686" ]; then
		OS="Linux"
		CPU="i386"
		echo "<b>${OS}/${CPU}</b> (Version `uname -r`)"
		echo "Library Information: ($BIN)<br>${LIB}"
		echo ""
		echo "The HomepageSearchEngine package you need is <a href=\"${URL}HSE${VER}_Linux.tgz\">HSE${VER}_Linux.tgz</a>"
		TMPFILE="/tmp/LIB_temp.txt"
		echo $LIB > $TMPFILE
		LIBC5=`sed -n -e '/libc\.so\.5/p' $TMPFILE`
		if [ -n "$LIBC5" ]; then
			echo "and additionally <a href=\"${URL}HSE${VER}_Linux-old.tgz\">HSE${VER}_Linux-old.tgz</a>"
		fi
		rm $TMPFILE
	elif [ "`uname -m`" = "mips" ]; then
		OS="Linux"
		CPU="mips"
		echo "<b>${OS}/${CPU}</b> (Version `uname -r`)"
		echo "Library Information:<br>${LIB}"
		echo ""
		echo "The HomepageSearchEngine package you need is <a href=\"${URL}HSE${VER}_Linux-mips.tgz\">HSE${VER}_Linux-mips.tgz</a>"
	fi
fi

if [ "`uname -s`" = "FreeBSD" ] && [ "`uname -m`" = "i386" ]; then
	OS="FreeBSD"
	OSVER=`uname -r`
	echo "<b>${OS}</b> (Version ${OSVER})"
	TMPFILE="/tmp/OSVER_temp.txt"
	echo $OSVER > $TMPFILE
	OSNR=`sed -n -e 's/\(^[0-9]\).*/\1/p' $TMPFILE`
	if [ $OSNR -gt "2" ]; then
		echo "The HomepageSearchEngine package you need is <a href=\"${URL}HSE${VER}_FreeBSD.tgz\">HSE${VER}_FreeBSD.tgz</a>"
	else
		echo "Sorry, FreeBSD version ${OSNR}.x is not supported anymore. Please ask your ISP to upgrade to version 3.x, 4.x or 5.x."		
	fi
	rm $TMPFILE
fi

if [ "`uname -s`" = "OpenBSD" ] && [ "`uname -m`" = "i386" ]; then
	OS="OpenBSD"
	echo "<b>${OS}</b> (Version `uname -r`)"
	echo "The HomepageSearchEngine package you need is <a href=\"${URL}HSE${VER}_OpenBSD.tgz\">HSE${VER}_OpenBSD.tgz</a>"
fi

if [ "`uname -s`" = "NetBSD" ] && [ "`uname -m`" = "i386" ]; then
	OS="NetBSD"
	echo "<b>${OS}</b> (Version `uname -r`)"
	echo "The HomepageSearchEngine package you need is <a href=\"${URL}HSE${VER}_NetBSD.tgz\">HSE${VER}_NetBSD.tgz</a>"
fi

if [ "`uname -s`" = "BSD/OS" ] && [ "`uname -m`" = "i386" ]; then
	OS="BSDi BSD/OS"
	echo "<b>${OS}</b> (Version `uname -r`)"
	echo "The HomepageSearchEngine package you need is <a href=\"${URL}HSE${VER}_BSD-OS.tgz\">HSE${VER}_BSD-OS.tgz</a>"
fi

if [ "`uname -s`" = "AIX" ]; then
	OS="IBM AIX"
	echo "<b>${OS}</b> (Version `uname -v`.`uname -r`)"
	echo "The HomepageSearchEngine package you need is <a href=\"${URL}HSE${VER}_AIX.tgz\">HSE${VER}_AIX.tgz</a>"
fi

if [ "`uname -s`" = "OSF1" ]; then
	OS="DEC OSF/1"
	echo "<b>${OS}</b> (Version `uname -r`)"
	echo "The HomepageSearchEngine package you need is <a href=\"${URL}HSE${VER}_DEC-OSF1.tgz\">HSE${VER}_DEC-OSF1.tgz</a>"
fi

if [ "`uname -s`" = "HP-UX" ]; then
	OS="HP HP-UX"
	echo "<b>${OS}</b> (Version `uname -r`)"
	echo "The HomepageSearchEngine package you need is <a href=\"${URL}HSE${VER}_HP-UX.tgz\">HSE${VER}_HP-UX.tgz</a>"
fi

if [ "`uname -s`" = "IRIX64" ]; then
	OS="SGI IRIX64"
	echo "<b>${OS}</b> (Version `uname -r`)"
	echo "The HomepageSearchEngine package you need is <a href=\"${URL}HSE${VER}_IRIX.tgz\">HSE${VER}_IRIX.tgz</a>"
fi

#if [ "`uname -s`" = "Darwin" ]; then
#	OS="MacOS X"
#	echo "<b>${OS}</b> (Darwin Kernel Version `uname -r`)"
#	echo "The HomepageSearchEngine package you need is <a href=\"${URL}HSE${VER}_MacOSX.tgz\">HSE${VER}_MacOSX.tgz</a>"
#fi

if [ -z "$OS" ]; then
	echo "<b>`uname -s`/`uname -m`</b> (Version `uname -r`)"
	echo "This platform is currently unsupported. Please contact us at <a href=\"mailto:info@anet.at\">info@anet.at</a>. Thank you."	
fi

echo "</pre></body></html>"
exit 0